$!-----------------------------------------------------------------------------
$! BUILD_COUNT.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! 26-FEB-2006  MGD  allow for IA64 build
$! 27-NOV-2000  MGD  add /DECC to compile command for VAX version
$! 28-OCT-2000  MGD  CGILIB now an object module
$! 19-AUG-2000  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""COUNT""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ DEFINES = F$TRNLNM("WASD_BUILD_DEFINES")
$ IF DEFINES .EQS. "" -
     THEN DEFINES = "_VMS_V6_SOURCE=1,__VMS_VER=60000000," +-
          "__CRTL_VER=60000000,CGILIB_OBJECT_MODULE"
$ COUNT_DEFINES = "STDC_HEADERS=1,HAVE_STRING_H=1,HAVE_UNISTD_H=1," +-
  "HAVE_FCNTL_H=1,HAVE_MKTIME,ACCESS_AUTH=1,VMS=1,CGILIB=1,"
$ DEFINES = COUNT_DEFINES + DEFINES
$!
$ INCLUDES = "[-.SRC],[-.LIBS.COMBINE],[-.LIBS.BIGPLUS],[-.LIBS.MCFG]"
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ CC = "CC/DECC/STAN=RELAXED/PREF=ALL/INCL=(" + INCLUDES + ")/NOWARN" +-
       "/OBJ=" + OBJECT_DIR + "/DEF=(" + DEFINES + ")"
$ _CC == CC
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC []CGILIB
$    CC []MAIN
$    CC []PARSE
$    CC []IMAGE
$    CC []UTILS
$    CC []RWDATA
$    CC []LLIST
$    CC []SETGET
$    CC []CFG
$    CC [-.LIBS.BIGPLUS]BIGPLUS
$    CC [-.LIBS.COMBINE]CRBASEI
$    CC [-.LIBS.COMBINE]ALLOCIM
$    CC [-.LIBS.COMBINE]READGIF
$    CC [-.LIBS.COMBINE]RDDATA
$    CC [-.LIBS.COMBINE]DSTRAIMG
$    CC [-.LIBS.COMBINE]READBLK
$    CC [-.LIBS.COMBINE]LZWDEC
$    CC [-.LIBS.COMBINE]SYNCIMG
$    CC [-.LIBS.COMBINE]DUPLICIM
$    CC [-.LIBS.COMBINE]WRITEGIF
$    CC [-.LIBS.COMBINE]LSBFWRS
$    CC [-.LIBS.COMBINE]LZWENC
$    CC [-.LIBS.COMBINE]UNCMPIMG
$    CC [-.LIBS.COMBINE]READIM
$    CC [-.LIBS.COMBINE]FLATTEN
$    CC [-.LIBS.COMBINE]SIGNATURE
$    CC [-.LIBS.COMBINE]QUANTIZE
$    CC [-.LIBS.COMBINE]COMPIMG
$    CC [-.LIBS.COMBINE]RGBTRAN
$    CC [-.LIBS.COMBINE]TRANRGB
$    CC [-.LIBS.COMBINE]COMPCMAP
$    CC [-.LIBS.COMBINE]FRAMEIM
$    CC [-.LIBS.COMBINE]MODULATE
$    CC [-.LIBS.COMBINE]ALPHAIM
$    CC [-.LIBS.COMBINE]SETPIXEL
$    CC [-.LIBS.COMBINE]GETFINFO
$    CC [-.LIBS.COMBINE]IMGSTR
$    CC [-.LIBS.COMBINE]GDFONTS
$    CC [-.LIBS.COMBINE]NEGATE
$    CC [-.LIBS.COMBINE]ROTATE
$    CC [-.LIBS.COMBINE]GETSIZE
$    CC [-.LIBS.COMBINE]OPAQIM
$    CC [-.LIBS.COMBINE]CROPIM
$    CC [-.LIBS.COMBINE]UTILS /OBJECT='OBJECT_DIR'COMBINE_UTILS
$    CC [-.LIBS.MCFG]MCFG
$    CC [-.UTILS.MKSTRIP]MKSTRIP
$    CC [-.UTILS.EXTDGTS]EXTDGTS
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    IF ARCH_NAME .EQS. "AXP"
$    THEN
$       LINK /EXECUTABLE='OBJECT_DIR'COUNT.EXE SYS$INPUT:/OPTIONS
[.OBJ_AXP]CGILIB.OBJ
[.OBJ_AXP]MAIN
[.OBJ_AXP]PARSE
[.OBJ_AXP]IMAGE
[.OBJ_AXP]UTILS
[.OBJ_AXP]RWDATA
[.OBJ_AXP]LLIST
[.OBJ_AXP]SETGET
[.OBJ_AXP]CFG
[.OBJ_AXP]BIGPLUS
[.OBJ_AXP]CRBASEI
[.OBJ_AXP]ALLOCIM
[.OBJ_AXP]READGIF
[.OBJ_AXP]RDDATA
[.OBJ_AXP]DSTRAIMG
[.OBJ_AXP]READBLK
[.OBJ_AXP]LZWDEC
[.OBJ_AXP]SYNCIMG
[.OBJ_AXP]DUPLICIM
[.OBJ_AXP]WRITEGIF
[.OBJ_AXP]LSBFWRS
[.OBJ_AXP]LZWENC
[.OBJ_AXP]UNCMPIMG
[.OBJ_AXP]READIM
[.OBJ_AXP]FLATTEN
[.OBJ_AXP]SIGNATURE
[.OBJ_AXP]QUANTIZE
[.OBJ_AXP]COMPIMG
[.OBJ_AXP]RGBTRAN
[.OBJ_AXP]TRANRGB
[.OBJ_AXP]COMPCMAP
[.OBJ_AXP]FRAMEIM
[.OBJ_AXP]MODULATE
[.OBJ_AXP]ALPHAIM
[.OBJ_AXP]SETPIXEL
[.OBJ_AXP]GETFINFO
[.OBJ_AXP]IMGSTR
[.OBJ_AXP]GDFONTS
[.OBJ_AXP]NEGATE
[.OBJ_AXP]ROTATE
[.OBJ_AXP]GETSIZE
[.OBJ_AXP]OPAQIM
[.OBJ_AXP]CROPIM
[.OBJ_AXP]COMBINE_UTILS
[.OBJ_AXP]MCFG
$       LINK /EXECUTABLE='OBJECT_DIR'MKSTRIP.EXE SYS$INPUT:/OPTIONS
[.OBJ_AXP]MKSTRIP
[.OBJ_AXP]CRBASEI
[.OBJ_AXP]ALLOCIM
[.OBJ_AXP]READGIF
[.OBJ_AXP]RDDATA
[.OBJ_AXP]DSTRAIMG
[.OBJ_AXP]READBLK
[.OBJ_AXP]LZWDEC
[.OBJ_AXP]SYNCIMG
[.OBJ_AXP]DUPLICIM
[.OBJ_AXP]WRITEGIF
[.OBJ_AXP]LSBFWRS
[.OBJ_AXP]LZWENC
[.OBJ_AXP]UNCMPIMG
[.OBJ_AXP]READIM
[.OBJ_AXP]FLATTEN
[.OBJ_AXP]SIGNATURE
[.OBJ_AXP]QUANTIZE
[.OBJ_AXP]COMPIMG
[.OBJ_AXP]RGBTRAN
[.OBJ_AXP]TRANRGB
[.OBJ_AXP]COMPCMAP
[.OBJ_AXP]FRAMEIM
[.OBJ_AXP]MODULATE
[.OBJ_AXP]ALPHAIM
[.OBJ_AXP]SETPIXEL
[.OBJ_AXP]GETFINFO
[.OBJ_AXP]IMGSTR
[.OBJ_AXP]GDFONTS
[.OBJ_AXP]NEGATE
[.OBJ_AXP]ROTATE
[.OBJ_AXP]GETSIZE
[.OBJ_AXP]OPAQIM
[.OBJ_AXP]CROPIM
[.OBJ_AXP]COMBINE_UTILS
$       LINK /EXECUTABLE='OBJECT_DIR'EXTDGTS.EXE SYS$INPUT:/OPTIONS
[.OBJ_AXP]EXTDGTS
[.OBJ_AXP]CRBASEI
[.OBJ_AXP]ALLOCIM
[.OBJ_AXP]READGIF
[.OBJ_AXP]RDDATA
[.OBJ_AXP]DSTRAIMG
[.OBJ_AXP]READBLK
[.OBJ_AXP]LZWDEC
[.OBJ_AXP]SYNCIMG
[.OBJ_AXP]DUPLICIM
[.OBJ_AXP]WRITEGIF
[.OBJ_AXP]LSBFWRS
[.OBJ_AXP]LZWENC
[.OBJ_AXP]UNCMPIMG
[.OBJ_AXP]READIM
[.OBJ_AXP]FLATTEN
[.OBJ_AXP]SIGNATURE
[.OBJ_AXP]QUANTIZE
[.OBJ_AXP]COMPIMG
[.OBJ_AXP]RGBTRAN
[.OBJ_AXP]TRANRGB
[.OBJ_AXP]COMPCMAP
[.OBJ_AXP]FRAMEIM
[.OBJ_AXP]MODULATE
[.OBJ_AXP]ALPHAIM
[.OBJ_AXP]SETPIXEL
[.OBJ_AXP]GETFINFO
[.OBJ_AXP]IMGSTR
[.OBJ_AXP]GDFONTS
[.OBJ_AXP]NEGATE
[.OBJ_AXP]ROTATE
[.OBJ_AXP]GETSIZE
[.OBJ_AXP]OPAQIM
[.OBJ_AXP]CROPIM
[.OBJ_AXP]COMBINE_UTILS
$    ENDIF
$!   'F$VERIFY(0)
$    IF ARCH_NAME .EQS. "IA64"
$    THEN
$       LINK /EXECUTABLE='OBJECT_DIR'COUNT.EXE SYS$INPUT:/OPTIONS
[.OBJ_IA64]CGILIB.OBJ
[.OBJ_IA64]MAIN
[.OBJ_IA64]PARSE
[.OBJ_IA64]IMAGE
[.OBJ_IA64]UTILS
[.OBJ_IA64]RWDATA
[.OBJ_IA64]LLIST
[.OBJ_IA64]SETGET
[.OBJ_IA64]CFG
[.OBJ_IA64]BIGPLUS
[.OBJ_IA64]CRBASEI
[.OBJ_IA64]ALLOCIM
[.OBJ_IA64]READGIF
[.OBJ_IA64]RDDATA
[.OBJ_IA64]DSTRAIMG
[.OBJ_IA64]READBLK
[.OBJ_IA64]LZWDEC
[.OBJ_IA64]SYNCIMG
[.OBJ_IA64]DUPLICIM
[.OBJ_IA64]WRITEGIF
[.OBJ_IA64]LSBFWRS
[.OBJ_IA64]LZWENC
[.OBJ_IA64]UNCMPIMG
[.OBJ_IA64]READIM
[.OBJ_IA64]FLATTEN
[.OBJ_IA64]SIGNATURE
[.OBJ_IA64]QUANTIZE
[.OBJ_IA64]COMPIMG
[.OBJ_IA64]RGBTRAN
[.OBJ_IA64]TRANRGB
[.OBJ_IA64]COMPCMAP
[.OBJ_IA64]FRAMEIM
[.OBJ_IA64]MODULATE
[.OBJ_IA64]ALPHAIM
[.OBJ_IA64]SETPIXEL
[.OBJ_IA64]GETFINFO
[.OBJ_IA64]IMGSTR
[.OBJ_IA64]GDFONTS
[.OBJ_IA64]NEGATE
[.OBJ_IA64]ROTATE
[.OBJ_IA64]GETSIZE
[.OBJ_IA64]OPAQIM
[.OBJ_IA64]CROPIM
[.OBJ_IA64]COMBINE_UTILS
[.OBJ_IA64]MCFG
$       LINK /EXECUTABLE='OBJECT_DIR'MKSTRIP.EXE SYS$INPUT:/OPTIONS
[.OBJ_IA64]MKSTRIP
[.OBJ_IA64]CRBASEI
[.OBJ_IA64]ALLOCIM
[.OBJ_IA64]READGIF
[.OBJ_IA64]RDDATA
[.OBJ_IA64]DSTRAIMG
[.OBJ_IA64]READBLK
[.OBJ_IA64]LZWDEC
[.OBJ_IA64]SYNCIMG
[.OBJ_IA64]DUPLICIM
[.OBJ_IA64]WRITEGIF
[.OBJ_IA64]LSBFWRS
[.OBJ_IA64]LZWENC
[.OBJ_IA64]UNCMPIMG
[.OBJ_IA64]READIM
[.OBJ_IA64]FLATTEN
[.OBJ_IA64]SIGNATURE
[.OBJ_IA64]QUANTIZE
[.OBJ_IA64]COMPIMG
[.OBJ_IA64]RGBTRAN
[.OBJ_IA64]TRANRGB
[.OBJ_IA64]COMPCMAP
[.OBJ_IA64]FRAMEIM
[.OBJ_IA64]MODULATE
[.OBJ_IA64]ALPHAIM
[.OBJ_IA64]SETPIXEL
[.OBJ_IA64]GETFINFO
[.OBJ_IA64]IMGSTR
[.OBJ_IA64]GDFONTS
[.OBJ_IA64]NEGATE
[.OBJ_IA64]ROTATE
[.OBJ_IA64]GETSIZE
[.OBJ_IA64]OPAQIM
[.OBJ_IA64]CROPIM
[.OBJ_IA64]COMBINE_UTILS
$       LINK /EXECUTABLE='OBJECT_DIR'EXTDGTS.EXE SYS$INPUT:/OPTIONS
[.OBJ_IA64]EXTDGTS
[.OBJ_IA64]CRBASEI
[.OBJ_IA64]ALLOCIM
[.OBJ_IA64]READGIF
[.OBJ_IA64]RDDATA
[.OBJ_IA64]DSTRAIMG
[.OBJ_IA64]READBLK
[.OBJ_IA64]LZWDEC
[.OBJ_IA64]SYNCIMG
[.OBJ_IA64]DUPLICIM
[.OBJ_IA64]WRITEGIF
[.OBJ_IA64]LSBFWRS
[.OBJ_IA64]LZWENC
[.OBJ_IA64]UNCMPIMG
[.OBJ_IA64]READIM
[.OBJ_IA64]FLATTEN
[.OBJ_IA64]SIGNATURE
[.OBJ_IA64]QUANTIZE
[.OBJ_IA64]COMPIMG
[.OBJ_IA64]RGBTRAN
[.OBJ_IA64]TRANRGB
[.OBJ_IA64]COMPCMAP
[.OBJ_IA64]FRAMEIM
[.OBJ_IA64]MODULATE
[.OBJ_IA64]ALPHAIM
[.OBJ_IA64]SETPIXEL
[.OBJ_IA64]GETFINFO
[.OBJ_IA64]IMGSTR
[.OBJ_IA64]GDFONTS
[.OBJ_IA64]NEGATE
[.OBJ_IA64]ROTATE
[.OBJ_IA64]GETSIZE
[.OBJ_IA64]OPAQIM
[.OBJ_IA64]CROPIM
[.OBJ_IA64]COMBINE_UTILS
$    ENDIF
$!   'F$VERIFY(0)
$    IF ARCH_NAME .EQS. "VAX"
$    THEN
$       LINK /EXECUTABLE='OBJECT_DIR'COUNT.EXE SYS$INPUT:/OPTIONS
[.OBJ_VAX]CGILIB.OBJ
[.OBJ_VAX]MAIN
[.OBJ_VAX]PARSE
[.OBJ_VAX]IMAGE
[.OBJ_VAX]UTILS
[.OBJ_VAX]RWDATA
[.OBJ_VAX]LLIST
[.OBJ_VAX]SETGET
[.OBJ_VAX]CFG
[.OBJ_VAX]BIGPLUS
[.OBJ_VAX]CRBASEI
[.OBJ_VAX]ALLOCIM
[.OBJ_VAX]READGIF
[.OBJ_VAX]RDDATA
[.OBJ_VAX]DSTRAIMG
[.OBJ_VAX]READBLK
[.OBJ_VAX]LZWDEC
[.OBJ_VAX]SYNCIMG
[.OBJ_VAX]DUPLICIM
[.OBJ_VAX]WRITEGIF
[.OBJ_VAX]LSBFWRS
[.OBJ_VAX]LZWENC
[.OBJ_VAX]UNCMPIMG
[.OBJ_VAX]READIM
[.OBJ_VAX]FLATTEN
[.OBJ_VAX]SIGNATURE
[.OBJ_VAX]QUANTIZE
[.OBJ_VAX]COMPIMG
[.OBJ_VAX]RGBTRAN
[.OBJ_VAX]TRANRGB
[.OBJ_VAX]COMPCMAP
[.OBJ_VAX]FRAMEIM
[.OBJ_VAX]MODULATE
[.OBJ_VAX]ALPHAIM
[.OBJ_VAX]SETPIXEL
[.OBJ_VAX]GETFINFO
[.OBJ_VAX]IMGSTR
[.OBJ_VAX]GDFONTS
[.OBJ_VAX]NEGATE
[.OBJ_VAX]ROTATE
[.OBJ_VAX]GETSIZE
[.OBJ_VAX]OPAQIM
[.OBJ_VAX]CROPIM
[.OBJ_VAX]COMBINE_UTILS
[.OBJ_VAX]MCFG
$       LINK /EXECUTABLE='OBJECT_DIR'MKSTRIP.EXE SYS$INPUT:/OPTIONS
[.OBJ_VAX]MKSTRIP
[.OBJ_VAX]CRBASEI
[.OBJ_VAX]ALLOCIM
[.OBJ_VAX]READGIF
[.OBJ_VAX]RDDATA
[.OBJ_VAX]DSTRAIMG
[.OBJ_VAX]READBLK
[.OBJ_VAX]LZWDEC
[.OBJ_VAX]SYNCIMG
[.OBJ_VAX]DUPLICIM
[.OBJ_VAX]WRITEGIF
[.OBJ_VAX]LSBFWRS
[.OBJ_VAX]LZWENC
[.OBJ_VAX]UNCMPIMG
[.OBJ_VAX]READIM
[.OBJ_VAX]FLATTEN
[.OBJ_VAX]SIGNATURE
[.OBJ_VAX]QUANTIZE
[.OBJ_VAX]COMPIMG
[.OBJ_VAX]RGBTRAN
[.OBJ_VAX]TRANRGB
[.OBJ_VAX]COMPCMAP
[.OBJ_VAX]FRAMEIM
[.OBJ_VAX]MODULATE
[.OBJ_VAX]ALPHAIM
[.OBJ_VAX]SETPIXEL
[.OBJ_VAX]GETFINFO
[.OBJ_VAX]IMGSTR
[.OBJ_VAX]GDFONTS
[.OBJ_VAX]NEGATE
[.OBJ_VAX]ROTATE
[.OBJ_VAX]GETSIZE
[.OBJ_VAX]OPAQIM
[.OBJ_VAX]CROPIM
[.OBJ_VAX]COMBINE_UTILS
$       LINK /EXECUTABLE='OBJECT_DIR'EXTDGTS.EXE SYS$INPUT:/OPTIONS
[.OBJ_VAX]EXTDGTS
[.OBJ_VAX]CRBASEI
[.OBJ_VAX]ALLOCIM
[.OBJ_VAX]READGIF
[.OBJ_VAX]RDDATA
[.OBJ_VAX]DSTRAIMG
[.OBJ_VAX]READBLK
[.OBJ_VAX]LZWDEC
[.OBJ_VAX]SYNCIMG
[.OBJ_VAX]DUPLICIM
[.OBJ_VAX]WRITEGIF
[.OBJ_VAX]LSBFWRS
[.OBJ_VAX]LZWENC
[.OBJ_VAX]UNCMPIMG
[.OBJ_VAX]READIM
[.OBJ_VAX]FLATTEN
[.OBJ_VAX]SIGNATURE
[.OBJ_VAX]QUANTIZE
[.OBJ_VAX]COMPIMG
[.OBJ_VAX]RGBTRAN
[.OBJ_VAX]TRANRGB
[.OBJ_VAX]COMPCMAP
[.OBJ_VAX]FRAMEIM
[.OBJ_VAX]MODULATE
[.OBJ_VAX]ALPHAIM
[.OBJ_VAX]SETPIXEL
[.OBJ_VAX]GETFINFO
[.OBJ_VAX]IMGSTR
[.OBJ_VAX]GDFONTS
[.OBJ_VAX]NEGATE
[.OBJ_VAX]ROTATE
[.OBJ_VAX]GETSIZE
[.OBJ_VAX]OPAQIM
[.OBJ_VAX]CROPIM
[.OBJ_VAX]COMBINE_UTILS
$    ENDIF
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ PURGE /NOLOG 'OBJECT_DIR'*.OBJ
$!
$!-----------------------------------------------------------------------------
